Package twisted :: Package web :: Module google :: Class GoogleCheckerFactory

[show private | hide private]
[frames | no frames]

## Class GoogleCheckerFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   GoogleCheckerFactory

Method Summary
| `__init__(self, words)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| `clientConnectionFailed(self, _, reason)`
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `gotLocation(self, location)`
| `noLocation(self, error)`
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `GoogleChecker`

Class Variable Details

### GoogleChecker

`GoogleChecker` = `twisted.web.google.GoogleChecker`

Generated by Epydoc 1.1 on Thu May 8 13:16:57 2003 | http://epydoc.sf.net